### File

`packages/ecl/components/ecl-tag/ecl-tag-set.directive.ts`

### Description

Directive to mark an element as an individual item in a tag set. Adds the `ecl-tag-set__item` class to the host element.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclTagSetItem]`

### Index

###### Properties
hasClass
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-tag-set__item

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-tag-set__item
Type : `boolean`
Default value : `true`
Adds the `ecl-tag-set__item` CSS class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

hasClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-tag-set__item')`
Adds the `ecl-tag-set__item` CSS class to the host element.

# results matching ""

# No results matching ""